Uploaded image for project: 'Spring Web Services'
  1. Spring Web Services
  2. SWS-501

Maven dependency for oxm 1.5.5.A non-existent version of Spring

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Complete
    • Affects Version/s: 1.5.5
    • Fix Version/s: 2.0 M1
    • Component/s: None
    • Labels:
      None

      Description

      Maven dependency for oxm 1.5.5.A non-existent version of Spring. The pom says it depends on org.springframework:org.springframework.beans:2.5.6, but only 2.5.6.A is available in the S2EBR.

        Issue Links

          Activity

          Hide
          arjen.poutsma Arjen Poutsma added a comment -

          Spring-WS does not use the S2EBR yet. This is planned for the next major version, as it introduces backwards compatibility issues.

          Show
          arjen.poutsma Arjen Poutsma added a comment - Spring-WS does not use the S2EBR yet. This is planned for the next major version, as it introduces backwards compatibility issues.
          Hide
          david_syer Dave Syer added a comment -

          If it doesn't use S2EBR why does it have a dependency on an S2EBR artifact? This is really a bug in the artifact that is deployed in S2EBR itself (which by definition has to depend on other artifacts in the same repository). Can you not just modify the deployed artifract?

          Show
          david_syer Dave Syer added a comment - If it doesn't use S2EBR why does it have a dependency on an S2EBR artifact? This is really a bug in the artifact that is deployed in S2EBR itself (which by definition has to depend on other artifacts in the same repository). Can you not just modify the deployed artifract?
          Hide
          arjen.poutsma Arjen Poutsma added a comment -

          Spring-WS does not have a dependency on a S2EBR artifact. Perhaps the S2EBR version does, I don't know too much about that.

          Show
          arjen.poutsma Arjen Poutsma added a comment - Spring-WS does not have a dependency on a S2EBR artifact. Perhaps the S2EBR version does, I don't know too much about that.
          Hide
          david_syer Dave Syer added a comment -

          You have no control over EBR artifacts? I raised an issue there (https://issuetracker.springsource.com/browse/EBR-385).

          Show
          david_syer Dave Syer added a comment - You have no control over EBR artifacts? I raised an issue there ( https://issuetracker.springsource.com/browse/EBR-385 ).
          Hide
          sandrews Scott Andrews added a comment -

          Both Spring Beans 2.5.6 and 2.5.6.A exist in the EBR. Can you provide more detail about the issue?

          Show
          sandrews Scott Andrews added a comment - Both Spring Beans 2.5.6 and 2.5.6.A exist in the EBR. Can you provide more detail about the issue?
          Hide
          david_syer Dave Syer added a comment -

          Hmm. I can see those jars too. But it still fails the Batch build every night: https://build.springframework.org/browse/BATCH-NIGHTLYSITE/latest. Maybe that's because the maven-meta-data.xml is wrong (only lists 2.5.6.SEC01).

          Show
          david_syer Dave Syer added a comment - Hmm. I can see those jars too. But it still fails the Batch build every night: https://build.springframework.org/browse/BATCH-NIGHTLYSITE/latest . Maybe that's because the maven-meta-data.xml is wrong (only lists 2.5.6.SEC01).
          Hide
          arjen.poutsma Arjen Poutsma added a comment -

          Closing old issues

          Show
          arjen.poutsma Arjen Poutsma added a comment - Closing old issues

            People

            • Assignee:
              arjen.poutsma Arjen Poutsma
              Reporter:
              david_syer Dave Syer
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: